package org.jeecg.modules.api.service;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.api.bean.PageBean;
import org.jeecg.modules.studytourImage.entity.StudytourImage;
import org.jeecg.modules.studytourImage.entity.StudytourImageContent;
import org.springframework.web.bind.annotation.RequestHeader;

public interface ImageService {

    //图片直播-查询图片直播列表
    public Result<?> queryImageList(PageBean pageBean);

    //图片直播-新增图片直播信息
    public Result<?> addImage(@RequestHeader("X-Access-Token") String token, StudytourImage studytourImage);


    //图片直播-查询图片直播内容列表
    public Result<?> queryImageContentList(String imageId, PageBean pageBean);

    //图片直播-新增图片直播内容信息
    public Result<?> addImageContent(@RequestHeader("X-Access-Token") String token, StudytourImageContent studytourImageContent);

    //图片直播-标记有我
    public Result<?> queryMarkmeList(@RequestHeader("X-Access-Token") String token, String imagePath);

}
